The Appointment object

Attributes

id string

Unique identifier for the object.

created_at string

ISO 8601 timestamp of when the object was created.

updated_at string

ISO 8601 timestamp of when the object was last updated.

customer_name string required
customer_phone_number string
customer_skype string
customer_details string
scheduled_time string required
status string required
calendar_event string
customer_email string required
appointment_with string
party string
The Appointment object
{
  "id": "appointment_abc123",
  "created_at": "2024-01-15T09: 30: 00Z",
  "updated_at": "2024-01-15T09: 30: 00Z",
  "customer_name": "customer_name_example",
  "customer_phone_number": "customer_phone_number_example",
  "customer_skype": "customer_skype_example",
  "customer_details": "customer_details_example",
  "scheduled_time": "scheduled_time_example",
  "status": "draft",
  "calendar_event": "calendar_event_example",
  "customer_email": "[email protected]",
  "appointment_with": "appointment_with_example",
  "party": "party_example"
}
GET /api/crm/appointment/{id}

Retrieve a appointment

Retrieves the details of an existing appointment. Supply the unique appointment ID that was returned from a previous request.

Path parameters

id string required

The identifier of the appointment to retrieve.

Returns

Returns the appointment object if a valid identifier was provided.

GET /api/crm/appointment/{id}
curl https://api.overplane.dev/api/crm/appointment/appointment_abc123 \
  -H "Authorization: Bearer sk_test_..."
Response
{
  "id": "appointment_abc123",
  "created_at": "2024-01-15T09: 30: 00Z",
  "updated_at": "2024-01-15T09: 30: 00Z",
  "customer_name": "customer_name_example",
  "customer_phone_number": "customer_phone_number_example",
  "customer_skype": "customer_skype_example",
  "customer_details": "customer_details_example",
  "scheduled_time": "scheduled_time_example",
  "status": "draft",
  "calendar_event": "calendar_event_example",
  "customer_email": "[email protected]",
  "appointment_with": "appointment_with_example",
  "party": "party_example"
}
GET /api/crm/appointment

List all appointments

Returns a list of appointments. The results are sorted by creation date, with the most recently created appearing first.

Query parameters

limit integer

Maximum number of objects to return. Default: 20.

offset integer

Number of objects to skip for pagination. Default: 0.

Returns

A paginated list of appointment objects.

GET /api/crm/appointment
curl https://api.overplane.dev/api/crm/appointment \
  -H "Authorization: Bearer sk_test_..."
Response
{
  "data": [
    {
      "id": "appointment_abc123",
      "created_at": "2024-01-15T09: 30: 00Z",
      "updated_at": "2024-01-15T09: 30: 00Z",
      "customer_name": "customer_name_example",
      "customer_phone_number": "customer_phone_number_example",
      "customer_skype": "customer_skype_example",
      "customer_details": "customer_details_example",
      "scheduled_time": "scheduled_time_example",
      "status": "draft",
      "calendar_event": "calendar_event_example",
      "customer_email": "[email protected]",
      "appointment_with": "appointment_with_example",
      "party": "party_example"
    }
  ],
  "has_more": false,
  "total": 1
}
POST /api/crm/appointment

Create a appointment

Creates a new appointment object.

Body parameters

customer_name string required
customer_phone_number string
customer_skype string
customer_details string
scheduled_time string required
status string required
calendar_event string
customer_email string required
appointment_with string
party string

Returns

Returns the newly created appointment object if the call succeeded.

POST /api/crm/appointment
curl https://api.overplane.dev/api/crm/appointment \
  -H "Authorization: Bearer sk_test_..." \
  -X POST \
  -H "Content-Type: application/json" \
  -d '{"customer_name":"customer_name_example","scheduled_time":"scheduled_time_example","status":"draft","customer_email":"[email protected]"}'
Response
{
  "id": "appointment_abc123",
  "created_at": "2024-01-15T09: 30: 00Z",
  "updated_at": "2024-01-15T09: 30: 00Z",
  "customer_name": "customer_name_example",
  "customer_phone_number": "customer_phone_number_example",
  "customer_skype": "customer_skype_example",
  "customer_details": "customer_details_example",
  "scheduled_time": "scheduled_time_example",
  "status": "draft",
  "calendar_event": "calendar_event_example",
  "customer_email": "[email protected]",
  "appointment_with": "appointment_with_example",
  "party": "party_example"
}
PATCH /api/crm/appointment/{id}

Update a appointment

Updates the specified appointment by setting the values of the parameters passed. Any parameters not provided will be left unchanged.

Path parameters

id string required

The identifier of the appointment to update.

Body parameters

customer_name string
customer_phone_number string
customer_skype string
customer_details string
scheduled_time string
status string
calendar_event string
customer_email string
appointment_with string
party string

Returns

Returns the updated appointment object.

PATCH /api/crm/appointment/{id}
curl https://api.overplane.dev/api/crm/appointment/appointment_abc123 \
  -H "Authorization: Bearer sk_test_..." \
  -X PATCH \
  -H "Content-Type: application/json" \
  -d '{"customer_name":"customer_name_example","customer_phone_number":"customer_phone_number_example"}'
Response
{
  "id": "appointment_abc123",
  "created_at": "2024-01-15T09: 30: 00Z",
  "updated_at": "2024-01-15T09: 30: 00Z",
  "customer_name": "customer_name_example",
  "customer_phone_number": "customer_phone_number_example",
  "customer_skype": "customer_skype_example",
  "customer_details": "customer_details_example",
  "scheduled_time": "scheduled_time_example",
  "status": "draft",
  "calendar_event": "calendar_event_example",
  "customer_email": "[email protected]",
  "appointment_with": "appointment_with_example",
  "party": "party_example"
}
DELETE /api/crm/appointment/{id}

Delete a appointment

Permanently deletes a appointment. This cannot be undone.

Path parameters

id string required

The identifier of the appointment to delete.

Returns

Returns a confirmation that the appointment has been deleted.

DELETE /api/crm/appointment/{id}
curl https://api.overplane.dev/api/crm/appointment/appointment_abc123 \
  -H "Authorization: Bearer sk_test_..." \
  -X DELETE
Response
{
  "id": "appointment_abc123",
  "deleted": true
}